# Uses of Class
org.eclipse.mat.snapshot.DominatorsSummary

Packages that use DominatorsSummary
Package
Description
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.

## Uses of DominatorsSummary in org.eclipse.mat.inspections

Constructors in org.eclipse.mat.inspections with parameters of type DominatorsSummary
Modifier
Constructor
Description
``
`ResultImpl(DominatorsSummary summary)`

## Uses of DominatorsSummary in org.eclipse.mat.parser.internal

Methods in org.eclipse.mat.parser.internal that return DominatorsSummary
Modifier and Type
Method
Description
`DominatorsSummary`
SnapshotImpl.`getDominatorsOf(int[] objectIds, Pattern excludePattern, IProgressListener progressListener)`

## Uses of DominatorsSummary in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot that return DominatorsSummary
Modifier and Type
Method
Description
`DominatorsSummary`
ISnapshot.`getDominatorsOf(int[] objectIds, Pattern excludePattern, IProgressListener progressListener)`
Get a summary of the dominators for all the given objects.
`DominatorsSummary`
DominatorsSummary.ClassDominatorRecord.`getSummary()`
Get the DominatorsSummary to which this record belongs.